Package Details: displaylink 5.2.14-1

Git Clone URL: https://aur.archlinux.org/displaylink.git (read-only, click to copy)
Package Base: displaylink
Description: Linux driver for DL-6xxx, DL-5xxx, DL-41xx and DL-3x00
Upstream URL: http://www.displaylink.com/downloads/ubuntu.php
Keywords: dock gpu graphics usb
Licenses: GPL2, custom, LGPL2.1
Submitter: Hideaki
Maintainer: rhermes
Last Packager: rhermes
Votes: 59
Popularity: 0.33
First Submitted: 2015-08-04 23:24
Last Updated: 2019-07-23 07:39

Pinned Comments

rhermes commented on 2019-10-14 10:28

I've unflagged the package as out of date since the version it downloads is the most recent one. I no longer have a system that uses displaylink, thank god, so I cannot assist in trying to debug errors. If anyone wants to take over the package, please contact me :)

PlusMinus commented on 2016-04-19 13:42

If you ever feel like adopting this package, just contact me. I will gladly accept any help.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

cacarr-pdxweb commented on 2018-11-29 07:38

4.4.24-1 upgrade killed rotation for me, and introduced some nasty mouse pointer artifacts.

zamber commented on 2018-11-19 13:09

4.4.24-1 (Mon 19 Nov 2018 02:08:06 PM CET)

Failed to parse arguments: Unknown option -title

https://pastebin.com/NvcYLFP6

https://pastebin.com/qND57ZUT (with set -euxo pipefail)

Eventually I installed 4.2.29-1 and it works.

Screens don't get acpi wake commands, meaning they sleep when getting back from hibernation or if power saving is set to sleep screens.

darose commented on 2018-11-14 15:07

...
==> Validating source files with md5sums...
    displaylink-driver-4.2.29.zip ... FAILED
    udev.sh ... Passed
    99-displaylink.rules ... Passed
    displaylink.service ... Passed
    displaylink-sleep.sh ... Passed
==> ERROR: One or more files did not pass the validity check!

rhermes commented on 2018-11-14 07:24

I've updated the package to the 4.4.24 release.

output from git diff:

diff --git a/PKGBUILD b/PKGBUILD
index 89aca2d..181d20f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
 # Contributor: rhabbachi

 pkgname=displaylink
-pkgver=4.2.29
+pkgver=4.4.24
 pkgrel=1
 pkgdesc="Linux driver for DL-6xxx, DL-5xxx, DL-41xx and DL-3x00"
 arch=('i686' 'x86_64')
@@ -12,18 +12,18 @@ depends=('evdi>=1.5.0' 'libusb>=1.0.0')
 makedepends=('grep' 'gawk' 'wget')
 install=
 changelog="release-note.txt"
-source=(displaylink-driver-$pkgver.zip::http://www.displaylink.com/downloads/file?id=1123
+source=(displaylink-driver-$pkgver.zip::https://www.displaylink.com/downloads/file?id=1261
    udev.sh
         99-displaylink.rules 
    displaylink.service 
         displaylink-sleep.sh)
-md5sums=('ab920bea23a265516e3d0097992c62f3'
+md5sums=('f18b8e6fe8f2baf9c0288afddfd771a1'
          'd5de775e41af06edbd8073adc490139d'
          '20495d81c7d2540910ef86dc437b7fac'
          'c141a15e973481c7d961f8e135627ca4'
          '7cbd9ab2ac79ba66e8297689c6e5483e')

-DLAGENTS=('http::/usr/bin/wget -O %o --post-data=fileId=1123&accept_submit=Accept %u')
+DLAGENTS=('https::/usr/bin/wget -O %o --post-data=fileId=1261&accept_submit=Accept %u')

 # Update with > updpkgsums


K5HV commented on 2018-08-20 09:13

For those who don't want to keep xorg-server in holdpkg I've uploaded version 1.19 to AUR: https://aur.archlinux.org/packages/xorg-server1.19-git

It's a bit newer then latest 1.19 from official extra.

comicfans44 commented on 2018-08-03 06:24

displaylink.service has After=display-manager.service that makes display-manager not reorganize displaylink monitor (for first time), I wonder if it should be Before=display-manager.service ? I've changed it and now display-manager(lightdm) can reorganize my displaylink correctly .

singing_kettle commented on 2018-06-19 11:29

I just tried the latest versions of displaylink (4.2.29-1) and evdi-pre-release (1.5.0-4) with kernel version 4.17.2-1 and am seeing success (I was needing to use LTS up till now). I have not tried with the latest versions of the xorg-server*, xf86-video-intel however. Will try later today.

jgwak commented on 2018-06-07 08:12

FYI: https://github.com/DisplayLink/evdi/issues/133

cacarr-pdxweb commented on 2018-06-06 07:03

@kaipee2 - Thanks for spelling that out for me.

I also had to downgrade from xf86-video-fbdev 0.4.4+13+g9af7f81-1 to xf86-video-fbdev-0.4.4+12+ge0bce0d-1 as the former conflicts with xorg-server<1.20.

kaipee2 commented on 2018-06-04 09:41

Just a note that this is still broken with xorg-server 1.20. Downgrading all packages works:

pacman -U xorg-server-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz xf86-video-intel-1:2.99.917+823+gd9bf46e4-1-x86_64.pkg.tar.xz xorg-server-common-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz xorg-server-xwayland-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz xf86-video-vesa-2.4.0-1-x86_64.pkg.tar.xz